set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="mod10.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "NEIGHBOURS AND VALIDATE OBJECT" {
  frm00659={
    {
      _action="display"
      ob_num=""
      location="valid"
      rid="1"
      col_selfint="cyan"
      col_dup="yellow"
      col_touch="orange"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

puts ""
puts ""
puts "Set object to solid or void function"
puts ""
puts ""

set status [ SclFunction "RECALL ANY FILE" {
  file="mod11.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "SET OBJECT DIRECTION" {
  frm00464={
    {
      _action="display"
      range=""
      solid="Y"
    }
  }
}]

puts ""
puts ""
puts "Macro 07a_solids_validation.tcl completed."
puts ""

